%define upstream_name    Data-Paginator
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Pagination with Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildArch:  noarch

%description
This is yet another pagination module. It only exists because none of the
other pager modules are written using Moose. Sometimes there is a Moose
feature – MooseX::Storage, in my case – that you need. It's a pain when
you can't use it with an existing module. This module aims to be completely
compatible with the venerable the Data::Page manpage. In fact, it's a
pretty blatant copy of Data::Page, lifting code from some of it's methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-5.mga8
+ Revision: 1493658
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-4.mga7
+ Revision: 1267001
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-3.mga6
+ Revision: 1024824
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.80.0-2.mga6
+ Revision: 965910
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.80.0-1.mga6
+ Revision: 839227
- update to 0.08

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 741186
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 684222
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 510609
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 365398
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 23 2011 kharec <kharec> 0.50.0-1.mga2
+ Revision: 171442
- update to 0.05

* Wed Nov 23 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 171195
- imported package perl-Data-Paginator


* Wed Nov 23 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
